gnutls_pkcs12_generate_mac2(3)

NAME
gnutls_pkcs12_generate_mac2 - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_generate_mac2(gnutls_pkcs12_t pkcs12, gnutls_mac_algorithm_t mac, const char * pass);

ARGUMENTS

gnutls_pkcs12_t pkcs12
    A pkcs12 type

gnutls_mac_algorithm_t mac
    the MAC algorithm to use

const char * pass
    The password for the MAC

DESCRIPTION
This function will generate a MAC for the PKCS12 structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/